#
# spec file for package perl-Tk-ObjScanner
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tk-ObjScanner
Version:        2.017
Release:        1.1
%define cpan_name Tk-ObjScanner
Summary:        GUI to scan any perl data structure or object
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tk-ObjScanner/
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Tk)
BuildRequires:  perl(Tk::Adjuster)
BuildRequires:  perl(Tk::Derived)
BuildRequires:  perl(Tk::Frame)
BuildRequires:  perl(Tk::HList)
BuildRequires:  perl(Tk::Menubutton)
BuildRequires:  perl(Tk::ROText)
Requires:       perl(Tk)
Requires:       perl(Tk::Adjuster)
Requires:       perl(Tk::Derived)
Requires:       perl(Tk::Frame)
Requires:       perl(Tk::HList)
Requires:       perl(Tk::Menubutton)
Requires:       perl(Tk::ROText)
%{perl_requires}

%description
The scanner provides a GUI to scan the attributes of an object. It can also
be used to scan the elements of a hash or an array.

This widget can be used as a regular widget in a Tk application or can be
used as an autonomous popup widget that will display the content of a data
structure. The latter is like a call to a graphical Data::Dumper. The
scanner can be used in an autonomous way with the 'scan_object' function.

The scanner is a composite widget made of a menubar and Tk::HList. This
widget acts as a scanner to the object (or hash ref) passed with the
'caller' parameter. The scanner will retrieve all keys of the hash/object
and insert them in the HList.

When the user double clicks on a key, the corresponding value will be added
in the HList.

If the value is a multi-line scalar, the scalar will be displayed in a
popup text window. Code ref will be deparsed and shown also in the pop-up
window.

Tied scalar, hash or array internal can also be scanned by clicking on the
_middle_ button to open them.

Weak references are recognized (See WeakRef for details)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Fri May 12 2017 coolo@suse.com
- updated to 2.017
  see /usr/share/doc/packages/perl-Tk-ObjScanner/Changes
  2.017 2017-05-11
  * Fix failures in pre-5.10 Perls (tx E. Choroba)
  * Tk::ObjScanner doc: Correct example code. (tx heytitle)
  * README: Use proper Markdown syntax.(tx heytitle)
  * change bug tracker from RT to github
* Tue Feb 21 2017 coolo@suse.com
- updated to 2.016
  see /usr/share/doc/packages/perl-Tk-ObjScanner/Changes
* Sat Feb  1 2014 lars@linux-schulserver.de
- initial package 2.012
- disabled tests for now (need a valid DISPLAY for this)
